summaryrefslogtreecommitdiffstats
path: root/multimedia/devedeng/devedeng.SlackBuild
diff options
context:
space:
mode:
author Hunter Sezen <ovariegata@yahoo.com>2018-03-07 11:12:56 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-03-10 07:11:02 +0700
commit5499408f6d2e56b65f3fa60e77e65216a3da7fdc (patch)
tree54b5619a98de5b241c7d35381f9fffe352a049a5 /multimedia/devedeng/devedeng.SlackBuild
parent1669b980d8a900e021ead535f46ed5d6beee3bbc (diff)
downloadslackbuilds-5499408f6d2e56b65f3fa60e77e65216a3da7fdc.tar.gz
slackbuilds-5499408f6d2e56b65f3fa60e77e65216a3da7fdc.tar.xz
multimedia/devedeng: Updated for version 4.8.12.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'multimedia/devedeng/devedeng.SlackBuild')
-rw-r--r--multimedia/devedeng/devedeng.SlackBuild9
1 files changed, 6 insertions, 3 deletions
diff --git a/multimedia/devedeng/devedeng.SlackBuild b/multimedia/devedeng/devedeng.SlackBuild
index 73b1020160..809d7e82dc 100644
--- a/multimedia/devedeng/devedeng.SlackBuild
+++ b/multimedia/devedeng/devedeng.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for devedeng
-# Copyright 2015-2017 Hunter Sezen California, USA <ovariegata@yahoo.com>
+# Copyright 2015-2018 Hunter Sezen California, USA <ovariegata@yahoo.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=devedeng
-VERSION=${VERSION:-4.8.6}
+VERSION=${VERSION:-4.8.12}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -40,7 +40,7 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -55,6 +55,9 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+sed -i "s|usr/share/doc/$PRGNAM|usr/doc/$PRGNAM-$VERSION|" \
+ ./src/devedeng/configuration_data.py
+
python3 setup.py install --root=$PKG
mv $PKG/usr/share/man $PKG/usr